<template>
         <div class="sidbar-nav" >
             <ul v-if="category_list.data&& category_list.data.length>0">
                 <li :key="id" v-for="(eachitem,id) in category_list.data" @click="li_click()">{{eachitem.name}}</li>
             </ul>
     

         </div>
</template>

<script>
    export default {
        props:["singlecategory","category_list","show"],
        data() {
            return {
                active:0
            }
        },
        created(){
            console.log('categoryList called')
            console.log('category List==>',this.category_list.data);
            
        },
        methods:{
            navigateScreen(activeKey, id, category_name){
                this.active=activeKey
                this.singlecategory(id,category_name)
            },
            li_click(){
                localStorage.setItem('category_id', id);
                localStorage.setItem('category_name', name);
                this.$router.push('/menucatering');

            }
        },

    }
</script>

<style scoped>

</style>